Subject: Re: [dtn-users] Re: problem using dtnrecv
From: Jeff Wilson <[email-masked]>
To: [email-masked]
Date: Wed, 30 Nov 2005 16:57:04 -0600
List-Id: discussion/answers list for users of the dtn reference implementation <dtn-users.mailman.dtnrg.org>

Dumb sed script. It's right in my original, guess I should just post
the "real" host names, but paranoia dies hard.

Another bug I found in (one of my many conf files lying around) is
that I left off the trailing /* on the route ... so instead of having

route add dtn://host-a.dtn/* tcp0    # this works

I had something like

route add dtn://host-a.dtn tcp0      # why don't the bundles ever get
delivered?  Doh!!

That's a subtle way to shoot yourself in the foot, eh?  Took me
forever to find that one ... Anyways, thanks again for the prompt and
helpful reply.

       regards,
        jw

On 11/30/05, Michael Demmer <[email-masked]> wrote:
> > How embarrassing.  It works now ... I wonder what my typo was?  Sorry
> > for the noise ...
>
> Looks to me like the problem was that you have "dtn://host-a.dtn" in
> your routes and "dtn://host-a" in your app calls.
>
> -m
> _______________________________________________
> dtn-users mailing list
> [email-masked]
> http://mailman.dtnrg.org/mailman/listinfo/dtn-users
>

Date: Wed, 30 Nov 2005 10:35:15 -0800
From: Michael Demmer <[email-masked]>
To: [email-masked]
Subject: Re: [dtn-users] Re: problem using dtnrecv
Sender: [email-masked]
Reply-To: [email-masked]

> I have a DTN network with 7 nodes, two of them are
> gateway. The implementation version  with regions work
> perfectly. But, now with the latest cvs version I have
> to put routes to all node. Can I do this:
> 
> log /dtnd info "dtnd parsing configuration..."
> storage set type berkeleydb
> storage set payloaddir /var/dtn/bundles
> storage set dbname     DTN
> storage set dbdir      /var/dtn/db
> 
> route set type static
> route local_eid "dtn://[info hostname].one.dtn"
> 
> interface add tcp0 tcp
> interface add udp0 udp
> 
> link add tcp0 lagu:5000 ONDEMAND tcp
> link add tcp1 yuri:5000 ONDEMAND tcp
> 
> route add dtn://*.two.dtn/* tcp0
> route add dtn://*.three.dtn/* tcp1

No... The pattern matching for the "host" part of the dtn:// uri is
very rudimentary -- basically you can either have "*" to match
everything, or you need to fully qualify it.

That said, adding support for what you want to do is not hard, I just
haven't done it yet, though it seems like it would be useful. 

The relevant function is DTNScheme::match_ssp, found in
DTN2/servlib/naming/DTNScheme.cc.

-m

Date: Wed, 30 Nov 2005 10:31:53 -0800
From: Michael Demmer <[email-masked]>
To: [email-masked]
Subject: Re: [dtn-users] Re: problem using dtnrecv
Sender: [email-masked]
Reply-To: [email-masked]

> How embarrassing.  It works now ... I wonder what my typo was?  Sorry
> for the noise ...

Looks to me like the problem was that you have "dtn://host-a.dtn" in
your routes and "dtn://host-a" in your app calls.

-m

Date: Wed, 30 Nov 2005 19:04:23 +0100 (CET)
From: Lidice Romero Amondaray <[email-masked]>
Subject: RE: [dtn-users] Re: problem using dtnrecv
To: [email-masked]
Sender: [email-masked]
Reply-To: [email-masked]

Hi

I have a DTN network with 7 nodes, two of them are
gateway. The implementation version  with regions work
perfectly. But, now with the latest cvs version I have
to put routes to all node. Can I do this:

log /dtnd info "dtnd parsing configuration..."
storage set type berkeleydb
storage set payloaddir /var/dtn/bundles
storage set dbname     DTN
storage set dbdir      /var/dtn/db

route set type static
route local_eid "dtn://[info hostname].one.dtn"

interface add tcp0 tcp
interface add udp0 udp

link add tcp0 lagu:5000 ONDEMAND tcp
link add tcp1 yuri:5000 ONDEMAND tcp

route add dtn://*.two.dtn/* tcp0
route add dtn://*.three.dtn/* tcp1

log /dtnd info "dtnd configuration parsing complete"

Thanks

Lídice

		
______________________________________________ 
Renovamos el Correo Yahoo! 
Nuevos servicios, más seguridad 
http://correo.yahoo.es

Date: Wed, 30 Nov 2005 10:43:51 -0600
From: Jeff Wilson <[email-masked]>
To: [email-masked]
Subject: [dtn-users] Re: problem using dtnrecv
Sender: [email-masked]
Reply-To: [email-masked]

How embarrassing.  It works now ... I wonder what my typo was?  Sorry
for the noise ...

      thanks anyway,
      jw

On 11/30/05, Jeff Wilson <[email-masked]> wrote:
> I'm using the latest cvs version ... here's my .conf on host-b:
>
> <conf>
> log /dtnd info "dtnd parsing configuration..."
> storage set type berkeleydb
> storage set payloaddir /home/jwilson/dtn/prod/bundles
> storage set dbname     DTN
> storage set dbdir      /home/jwilson/dtn/prod/db
> route set type static
> route local_eid "dtn://[info hostname].dtn"
> interface add tcp0 tcp
> link add tcp0 host-a:5000 ONDEMAND tcp
> route add dtn://host-a.dtn/* tcp0
> log /dtnd info "dtnd configuration parsing complete"
> </conf>
>
> I've confirmed on host-a's DTN console (dtn% route local_eid) that his
> local_eid matches the above route.  I use a similar (reciprocal)
> config on host-b.
>
> I use dtnsend from host-b as follows:
> ./dtnsend -s dtn://host-b/me -d dtn://host-a/testLink -t m -p "Hi mom"
>
> I see the bundle cross over in the logs on both sides.  Then I go to
> host-a to run dtnrecv:
> ./dtnrecv dtn://host-a/testLink
>
> Nothing happens.  It registers, and reports its reg_id, but never gets
> the bundle.  Am I calling dtnrecv incorrectly?  Should I specify the
> sender too?  What tuple is it looking for, here?
>
> dtnping sends and receives flawlessly, but I noticed that its bundles
> are routed differently ... to an admin id?
>
> Thanks in advance for your time, you guys always take good care of me.  ;)
>
>       Regards,
>       jw
>

Date: Wed, 30 Nov 2005 10:34:30 -0600
From: Jeff Wilson <[email-masked]>
To: [email-masked]
Subject: [dtn-users] problem using dtnrecv
Sender: [email-masked]
Reply-To: [email-masked]

I'm using the latest cvs version ... here's my .conf on host-b:

<conf>
log /dtnd info "dtnd parsing configuration..."
storage set type berkeleydb
storage set payloaddir /home/jwilson/dtn/prod/bundles
storage set dbname     DTN
storage set dbdir      /home/jwilson/dtn/prod/db
route set type static
route local_eid "dtn://[info hostname].dtn"
interface add tcp0 tcp
link add tcp0 host-a:5000 ONDEMAND tcp
route add dtn://host-a.dtn/* tcp0
log /dtnd info "dtnd configuration parsing complete"
</conf>

I've confirmed on host-a's DTN console (dtn% route local_eid) that his
local_eid matches the above route.  I use a similar (reciprocal)
config on host-b.

I use dtnsend from host-b as follows:
./dtnsend -s dtn://host-b/me -d dtn://host-a/testLink -t m -p "Hi mom"

I see the bundle cross over in the logs on both sides.  Then I go to
host-a to run dtnrecv:
./dtnrecv dtn://host-a/testLink

Nothing happens.  It registers, and reports its reg_id, but never gets
the bundle.  Am I calling dtnrecv incorrectly?  Should I specify the
sender too?  What tuple is it looking for, here?

dtnping sends and receives flawlessly, but I noticed that its bundles
are routed differently ... to an admin id?

Thanks in advance for your time, you guys always take good care of me.  ;)

      Regards,
      jw

Date: Mon, 21 Nov 2005 18:14:23 -0800
From: Michael Demmer <[email-masked]>
To: [email-masked], [email-masked]
Subject: [dtn-users] wwwoffle_dtn
Sender: [email-masked]
Reply-To: [email-masked]

since wwwoffle_dtn is itself a large code base, i decided to move it
out of DTN2/apps and into its own top level module in the repository.

if you have a locally checked-out DTN2 source tree, this will cause
CVS to complain that wwwoffle_dtn is missing. the simplest thing to do
is just check out again fresh, otherwise you can edit
DTN2/apps/CVS/Entries and remove the wwwoffle_dtn line, then remove
all of DTN2/apps/wwwoffle_dtn.

-m

Date: Mon, 21 Nov 2005 11:13:17 -0800
From: Michael Demmer <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Mail-Followup-To: [email-masked], [email-masked], [email-masked]
Subject: [dtn-users] Re: [dtn-interest] The problem of Compiling DTN2
Sender: [email-masked]
Reply-To: [email-masked]

First of all, this topic is better-suited for the dtn-users mailing
list, so I've cross-posted this response there.

To answer your question, the current CVS head supports gcc4, as will
an upcoming release. I'll try to package up a newer release soon, but
until then, try pulling the CVS snapshot.

-mike

> Why can't gcc(verson 4.0.3) be used to compile the DTN2?
> 
> There is an error when excecuting the bash configure.
> checking for the version of the gcc compiler... 4.0.3
> error: unsupported compiler version 4.0.3
> 
> My OS is Debian.
> 
> Help!
> 
> Thanks!
> 
> 
> _______________________________________________
> dtn-interest mailing list
> [email-masked]
> http://mailman.dtnrg.org/mailman/listinfo/dtn-interest